Subject: Re: bug#33398: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion

From: Juri Linkov <[email-masked]>
Date: Wed, 19 Dec 2018 02:36:33 +0200

>> > I don't see how "gold" can be translated to "red", sorry.  It
>> > translates to yellow shades on both 8- and 16-color TTYs, as expected.
>> > Did you try "IndianRed" instead?
>> 
>> Unfortunately, "IndianRed" is so dark that it's unreadable.
>> Whereas "Gold" is so prefect, that I can't find a replacement.
>> But are translations really required?  I created a definition
>> that works well on all environments (I see that "gold" looks good
>> on a graphical terminal, but on a 256-color TTY "orange" is better).
>> Do you see a problem with these best-looking faces?
>
> Yes, I definitely see a problem when a face called "hi-gold" is
> displayed as red on some devices.

Sorry for asking about such minor issue, but I have another idea below.

> Are you saying that none of the shades of red in rgb.txt is good
> enough to use on GUI frames where "red" is used on TTYs?  I find that
> hard to believe.  What about DarkOrange, what about Coral, what about
> OrangeRed, what about LightSalmon[1-3], what about sienna[1-3], what
> about IndianRed1, what about tomato[1-3], chocolate[1-3], etc.?

Among all these colors the least bad is LightSalmon,
but it has the same saturation as Orange, not as much lighter Gold
that would be the best choice.

> Call it "hi-reddish" if you must, just don't have something called
> "gold" look red on TTYs, please.

We can call it "hi-redgold" because such thing really exists:
https://en.wikipedia.org/wiki/Red_gold

(defface hi-redgold
  '((((min-colors 88) (type x w32 ns)) (:background "gold"))
    (((min-colors 88)) (:background "orange"))
    (((min-colors 16)) (:background "red"))
    (t (:background "red")))
  "Face for hi-lock mode."
  :group 'hi-lock-faces)